2 Replies Latest reply on Jul 16, 2007 2:20 AM by Thomas Heute

    What is supported?

    James Arrington Newbie

      What version of jsf does jboss portal support if any?
      What version of jsf does jboss AS 4/5 support?

      Why isn't this info not easily found? Liferay plainly states this information.

        • 1. Re: What is supported?
          James Arrington Newbie

          Also on the download link for Portal and JBoss AS bundled together, what version of JBoss AS version is bundled?

          • 2. Re: What is supported?
            Thomas Heute Master

            It is not a matter of what JBoss Portal supports.
            It supports everything as long as there is a JSF-Portlet bridge existing. (There are some for MyFaces and Sun RI)

            JBoss AS 4.0.5 ships with MyFaces 1.1.4
            JBoss AS 4.2.0 ships with JSF Sun RI 1.2_04-b16-p02

            But you can use whatever version you want, it's not because this is what is shipped with that you are stuck with it.

            The current bundled AS with "JBoss Portal bundle version" is JBoss AS 4.0.5, this is probably change in the next releases in favor of JBoss AS 4.2.0. Either version is supported.